%define serverroot /var/www/html/phpwiki

Summary:	A wikiwiki management system written in PHP
Name:		phpwiki
Version:	1.2.10
Release:	1mdk
License:	GPL
Group:		System/Servers
URL:		http://phpwiki.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/phpwiki/%{name}-%{version}.tar.bz2
Source1:	wikiinclude.conf
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= 2.0.54
Requires(pre):  apache-mpm-prefork >= 2.0.54
Requires:       apache-conf >= 2.0.54
Requires:       apache-mpm-prefork >= 2.0.54
Requires:       apache-mod_php
Requires:       php-dba
BuildArch:	noarch
BuildRequires:	file
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PhpWiki is a WikiWikiWeb clone written in PHP. A Wiki is a Web site where
anyone can edit or create the pages through the Web browser, with no
authentication. PhpWiki works right out of the box with zero configuration, and
comes with a set of default pages. It's useful for collaborating on
documentation on a project, having freeform discussions, and easy editing and
searching.

%prep

%setup -q

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# fix default storage dir
perl -pi -e "s|/tmp|%{_localstatedir}/%{name}|g" lib/config.php

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{serverroot}
install -d %{buildroot}%{_localstatedir}/%{name}

mkdir -p doc
mv CREDITS HISTORY LICENSE README ChangeLog INSTALL* UPGRADING.readme doc/

cp -R index.php admin.php admin images lib locale pgsrc schemas templates %{buildroot}%{serverroot}

# nuke .htaccess files
find %{buildroot}%{serverroot} -type f -name "\.htaccess" -exec rm {} \;

# fix apache config
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
cat >> %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF
<Directory "%{serverroot}/lib">
    Order allow,deny
    Deny from All
</Directory>

<Directory "%{serverroot}/locale">
    Order allow,deny
    Deny from All
</Directory>

<Directory "%{serverroot}/schemas">
    Order allow,deny
    Deny from All
</Directory>

<Directory "%{serverroot}/templates">
    Order allow,deny
    Deny from All
</Directory>
EOF

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi
    
%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,apache,apache)
%doc doc/*
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%config(noreplace) %{serverroot}/lib/config.php
%{serverroot}/index.php
%{serverroot}/admin.php
%dir %{serverroot}/admin
%{serverroot}/admin/*
%dir %{serverroot}/images
%{serverroot}/images/*
%dir %{serverroot}/lib
%{serverroot}/lib/*
%dir %{serverroot}/pgsrc
%{serverroot}/pgsrc/*
%dir %{serverroot}/schemas
%{serverroot}/schemas/*
%dir %{serverroot}/templates
%{serverroot}/templates/*
%dir %{serverroot}/locale
%{serverroot}/locale/*
%dir %{_localstatedir}/%{name}

%changelog
* Thu Sep 08 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-1mdk
- 1.2.10
- fix apache config
- use dba as default storage

* Thu Mar 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.7-1mdk
- 1.2.7
- strip away annoying ^M

* Thu Jun 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.4-1mdk
- 1.2.4

* Tue Mar 2 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.2.2-4mdk
- fixed typo in mail address at changelog

* Tue Mar 2 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.2.2-3mdk
- distlint DIRM fix

* Fri Jun 6 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.2-2mdk
- Copyright -> License
- removed localization macros (need investigation)

* Fri Jun 6 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.2-1mdk
- completelly rewriten spec file, new version etc..
- renamed package to phpwiki, old pwiki removed from contrib

* Tue Apr 24 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Wed Jan 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.9.1-1mdk
- new version

* Mon Dec 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.0-1mdk
- 0.8.0
- applied patch to export only the path to the file instead of a full
URL.

* Fri Dec 15 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.8-1mdk
- first mandrake version

